Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.archive.io
Class SinkHandlerLogRecord

    java.lang.Object
      java.util.logging.LogRecord
          org.archive.io.SinkHandlerLogRecord

All Implemented Interfaces:
  java.io.Serializable

    public class SinkHandlerLogRecord

extends java.util.logging.LogRecord

Version of LogRecord used by SinkHandler. Adds being able to mark the LogRecord as already-read and timestamping time of creation. Also adds a different `toString()` implementation. Delegates all other calls to the passed LogRecord.

Version:
  $Date: 2006-08-15 04:39:00 +0000 (Tue, 15 Aug 2006) $ $Version$
Author:
  stack
See Also:
  Serialized Form

Field Summary
`(package private) boolean` | `read`

Constructor Summary
`protected` | `SinkHandlerLogRecord()`
`` | `SinkHandlerLogRecord(java.util.logging.LogRecord record)`

Method Summary
`boolean` | `equals(long id)`
`boolean` | `equals(SinkHandlerLogRecord compare)`
`java.util.Date` | `getCreationTime()`
`java.util.logging.Level` | `getLevel()`
`java.lang.String` | `getLoggerName()`
`java.lang.String` | `getShortMessage()`
`java.lang.Throwable` | `getThrown()`
`java.lang.String` | `getThrownToString()`
`boolean` | `isRead()`
`void` | `setRead()` Mark alert as seen (That is, isNew() no longer returns true).
`java.lang.String` | `toString()`

Methods inherited from class java.util.logging.LogRecord
`getMessage, getMillis, getParameters, getResourceBundle, getResourceBundleName, getSequenceNumber, getSourceClassName, getSourceMethodName, getThreadID, setLevel, setLoggerName, setMessage, setMillis, setParameters, setResourceBundle, setResourceBundleName, setSequenceNumber, setSourceClassName, setSourceMethodName, setThreadID, setThrown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### read

    boolean read

Constructor Detail

### SinkHandlerLogRecord

    protected SinkHandlerLogRecord()

### SinkHandlerLogRecord

    public SinkHandlerLogRecord(java.util.logging.LogRecord record)

Method Detail

### equals

    public boolean equals(long id)

### equals

    public boolean equals(SinkHandlerLogRecord compare)

### isRead

    public boolean isRead()

### setRead

    public void setRead()

  Mark alert as seen (That is, isNew() no longer returns true).

### getCreationTime

    public java.util.Date getCreationTime()

  Returns:
    Time of creation

### getLevel

    public java.util.logging.Level getLevel()

  Overrides:
    `getLevel` in class `java.util.logging.LogRecord`

### getLoggerName

    public java.lang.String getLoggerName()

  Overrides:
    `getLoggerName` in class `java.util.logging.LogRecord`

### getShortMessage

    public java.lang.String getShortMessage()

### getThrown

    public java.lang.Throwable getThrown()

  Overrides:
    `getThrown` in class `java.util.logging.LogRecord`

### getThrownToString

    public java.lang.String getThrownToString()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Internet Archive. All Rights Reserved.